RESET(7)

NAME
RESET - restore the value of a run-time parameter to the default value

SYNOPSIS

RESET configuration_parameter
RESET ALL

DESCRIPTION

RESET restores run-time parameters to their default values. RESET is an alternative spelling for

    SET configuration_parameter TO DEFAULT

Refer to SET(7) for details.

The default value is defined as the value that the parameter would have had, if no SET had ever been issued for it in the current session. The actual source of this value might be a compiled-in default, the configuration file, command-line options, or per-database or per-user default settings. This is subtly different from defining it as “the value that the parameter had at session start”, because if the value came from the configuration file, it will be reset to whatever is specified by the configuration file now. See Chapter 20 for details.

The transactional behavior of RESET is the same as SET: its effects will be undone by transaction rollback.

PARAMETERS

configuration_parameter
    Name of a settable run-time parameter. Available parameters are documented in Chapter 20 and on the SET(7) reference page.

ALL
    Resets all settable run-time parameters to default values.

EXAMPLES

Set the timezone configuration variable to its default value:

    RESET timezone;

COMPATIBILITY

RESET is a PostgreSQL extension.

SEE ALSO
SET(7), SHOW(7)